<?
//FUNÇÃO DA TAG INICIAL DO ARQUIVO XML
function FuncInicial($parser, $elemento) {
  if($elemento == "FAQ") {
    echo "<table cellpading=0 cellspacing=4 border=0 width=100%>";
    echo "<tr><td bgcolor=9f9f9f align=center>";
    echo "<font face=Arial size=2 color=FFFFFF><b>FÓRUM";
    echo "<tr><td bgcolor=9f9f9f align=LEFT>&nbsp;&nbsp;<a href='envia.php' class=Link>.:: Enviar uma pergunta</a>";        
  }
  elseif($elemento == "TOPICO")
    echo "<tr><td height=5>";
  elseif($elemento == "PERGUNTA") {
    echo "<tr><td bgcolor=#c9c9c9>";
    echo "<font class=Pergunta><b>";
  }
  elseif($elemento == "NOME") {
    echo "<tr><td bgcolor=#dbdbdb>";
    echo "<font class='Nome'>";
  }
  elseif($elemento == "EMAIL") {
    echo "-&nbsp;";
    echo "<font class='Nome'>";
  }
  elseif($elemento == "RESPOSTA") {
    echo "<tr><td bgcolor=#eeeeee>";
    echo "<font class='Resposta'>";
  }
  elseif($elemento == "NOMER") {
    echo "<tr><td bgcolor=#dbdbdb>";
    echo "<font class='Nome'>";
  }        
}//FECHA FUNCTION FUNCINICIAL


//FUNÇÃO PARA EXIBIR OS DADOS DO DOCUMENTO XML
function FuncDados($parser, $dados) {
  echo $dados;
}//FECHA FUNCTION FUNCINICIAL


//FUNÇÃO DA TAG INICIAL DO DOCUEMENTO XML
function FuncFinal($parser, $elemento) {
  if($elemento == "FAQ")
    echo "</b></font></td</tr></table>";
  elseif($elemento == "TOPICO")
    echo "</td></tr>";
  elseif($elemento == "PERGUNTA")
    echo "</b></font></td></tr>";
  elseif($elemento == "NOME")
    echo "&nbsp;";
  elseif($elemento == "EMAIL")
    echo "</font></td></tr>";
  elseif($elemento == "RESPOSTA")
    echo "</font></td></tr>";
  elseif($elemento == "NOMER")
    echo "</font></td></tr>";            
  
}//FECHA FUNCTION FUNCFINAL

//CRIA O PARSER XML
$parser = xml_parser_create();

//DEFINE AS FUNÇÕES
xml_set_element_handler($parser, "FuncInicial", "FuncFinal");
xml_set_character_data_handler($parser, "FuncDados");

//ABRE O ARQUIVO XML PARA LEITURA
$ponteiro = fopen("FAQ.xml", "r");

//INICIA A ANÁLISE DO DOCUMENTO XML
while($dados = fread($ponteiro, 4096)) {
  //INICIA A ANÁLISE DO DOCUMENTO XML
  //  xml_parse($parser, $dados);
  xml_parse_into_struct($parser, $dados)

 }//FECHA WHILE

//LIBERA A MEMÓRIA USADA PELO PARSER
xml_parser_free($parser);
?>